## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EReferenceNameEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart
                          org.eclipse.emf.ecoretools.diagram.edit.parts.EReferenceNameEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.common.core.util.IAdaptableSelection, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener, org.eclipse.gmf.runtime.diagram.ui.editparts.IEditableEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart

    public class EReferenceNameEditPart

extends org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart
implements org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`static int` `VISUAL_ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid, FLAG__AUTO_CONNECTIONS_VISIBILITY, FLAG__IS_EDITABLE, GRAPHICAL_EDIT_PART__MAX_FLAG`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EReferenceNameEditPart(org.eclipse.gmf.runtime.notation.View view)`

Method Summary
`protected void` `addSemanticListeners()`
`protected void` `createDefaultEditPolicies()`
`protected org.eclipse.draw2d.IFigure` `createFigure()`
`protected org.eclipse.draw2d.IFigure` `createFigurePrim()`
`protected org.eclipse.gef.AccessibleEditPart` `getAccessibleEditPart()`
`org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart` `getChildBySemanticHint(java.lang.String semanticHint)`
`org.eclipse.jface.text.contentassist.IContentAssistProcessor` `getCompletionProcessor()`
`java.lang.String` `getEditText()`
`org.eclipse.jface.viewers.ICellEditorValidator` `getEditTextValidator()`
`int` `getKeyPoint()`
`protected org.eclipse.swt.graphics.Image` `getLabelIcon()`
`protected org.eclipse.swt.graphics.Image` `getLabelIconHelper(org.eclipse.draw2d.IFigure figure)`
`protected java.lang.String` `getLabelText()`
`protected java.lang.String` `getLabelTextHelper(org.eclipse.draw2d.IFigure figure)`
`protected org.eclipse.gef.tools.DirectEditManager` `getManager()`
`protected java.util.List` `getModelChildren()`
`org.eclipse.gmf.runtime.common.ui.services.parser.IParser` `getParser()`
`protected org.eclipse.emf.ecore.EObject` `getParserElement()`
`org.eclipse.gmf.runtime.common.ui.services.parser.ParserOptions` `getParserOptions()`
`protected void` `handleNotificationEvent(org.eclipse.emf.common.notify.Notification event)`
`protected boolean` `isEditable()`
`protected void` `performDirectEdit()`
`protected void` `performDirectEdit(org.eclipse.draw2d.geometry.Point eventLocation)`
`protected void` `performDirectEditRequest(org.eclipse.gef.Request request)`
`protected void` `refreshFont()`
`protected void` `refreshLabel()`
`protected void` `refreshStrikeThrough()`
`protected void` `refreshUnderline()`
`protected void` `refreshVisuals()`
`protected void` `removeSemanticListeners()`
`protected void` `setFontColor(org.eclipse.swt.graphics.Color color)`
`void` `setLabel(org.eclipse.draw2d.IFigure figure)`
`protected void` `setLabelIconHelper(org.eclipse.draw2d.IFigure figure, org.eclipse.swt.graphics.Image icon)`
`void` `setLabelText(java.lang.String text)`
`protected void` `setLabelTextHelper(org.eclipse.draw2d.IFigure figure, java.lang.String text)`
`protected void` `setManager(org.eclipse.gef.tools.DirectEditManager manager)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart
`addNotationalListeners, getAccessibleText, getAdapter, getDragTracker, getReferencePoint, getSemanticType, getSnapBackPosition, isSnapBackNeeded, refresh, refreshBounds, registerSnapBackPosition, removeNotationalListeners`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart
`getResizableCompartments, getResizableNotationViews, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, basicGetModel, createConnection, createEditPolicies, deactivate, disableCanonicalFor, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getEditDomain, getEditingDomain, getLineType, getLineWidth, getMapMode, getModel, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isAutomaticalRefreshConnectionsVisibility, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performRequest, reactivateSemanticModel, refreshBackgroundColor, refreshChild, refreshFontColor, refreshForegroundColor, refreshLineType, refreshLineWidth, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotify, resolveSemanticElement, setAutomaticalRefreshConnectionsVisibility, setBackgroundColor, setConnectionsVisibility, setFont, setForegroundColor, setLineType, setLineWidth, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### VISUAL_ID

    public static final int VISUAL_ID

See Also:
  Constant Field Values

Constructor Detail

### EReferenceNameEditPart

    public EReferenceNameEditPart(org.eclipse.gmf.runtime.notation.View view)

Method Detail

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Overrides:
    `createDefaultEditPolicies` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### getKeyPoint

    public int getKeyPoint()

  Overrides:
    `getKeyPoint` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### getLabelTextHelper

    protected java.lang.String getLabelTextHelper(org.eclipse.draw2d.IFigure figure)

### setLabelTextHelper

    protected void setLabelTextHelper(org.eclipse.draw2d.IFigure figure,
                                      java.lang.String text)

### getLabelIconHelper

    protected org.eclipse.swt.graphics.Image getLabelIconHelper(org.eclipse.draw2d.IFigure figure)

### setLabelIconHelper

    protected void setLabelIconHelper(org.eclipse.draw2d.IFigure figure,
                                      org.eclipse.swt.graphics.Image icon)

### setLabel

    public void setLabel(org.eclipse.draw2d.IFigure figure)

### getModelChildren

    protected java.util.List getModelChildren()

  Overrides:
    `getModelChildren` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### getChildBySemanticHint

    public org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart getChildBySemanticHint(java.lang.String semanticHint)

  Specified by:
    `getChildBySemanticHint` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart`
  Overrides:
    `getChildBySemanticHint` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### getParserElement

    protected org.eclipse.emf.ecore.EObject getParserElement()

### getLabelIcon

    protected org.eclipse.swt.graphics.Image getLabelIcon()

### getLabelText

    protected java.lang.String getLabelText()

### setLabelText

    public void setLabelText(java.lang.String text)

  Specified by:
    `setLabelText` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### getEditText

    public java.lang.String getEditText()

  Specified by:
    `getEditText` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### isEditable

    protected boolean isEditable()

### getEditTextValidator

    public org.eclipse.jface.viewers.ICellEditorValidator getEditTextValidator()

  Specified by:
    `getEditTextValidator` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### getCompletionProcessor

    public org.eclipse.jface.text.contentassist.IContentAssistProcessor getCompletionProcessor()

  Specified by:
    `getCompletionProcessor` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### getParserOptions

    public org.eclipse.gmf.runtime.common.ui.services.parser.ParserOptions getParserOptions()

  Specified by:
    `getParserOptions` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### getParser

    public org.eclipse.gmf.runtime.common.ui.services.parser.IParser getParser()

  Specified by:
    `getParser` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.ITextAwareEditPart`

### getManager

    protected org.eclipse.gef.tools.DirectEditManager getManager()

### setManager

    protected void setManager(org.eclipse.gef.tools.DirectEditManager manager)

### performDirectEdit

    protected void performDirectEdit()

### performDirectEdit

    protected void performDirectEdit(org.eclipse.draw2d.geometry.Point eventLocation)

### performDirectEditRequest

    protected void performDirectEditRequest(org.eclipse.gef.Request request)

  Overrides:
    `performDirectEditRequest` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.TopGraphicEditPart`

### refreshVisuals

    protected void refreshVisuals()

  Overrides:
    `refreshVisuals` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### refreshLabel

    protected void refreshLabel()

### refreshUnderline

    protected void refreshUnderline()

### refreshStrikeThrough

    protected void refreshStrikeThrough()

### refreshFont

    protected void refreshFont()

  Overrides:
    `refreshFont` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### setFontColor

    protected void setFontColor(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setFontColor` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### addSemanticListeners

    protected void addSemanticListeners()

  Overrides:
    `addSemanticListeners` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### removeSemanticListeners

    protected void removeSemanticListeners()

  Overrides:
    `removeSemanticListeners` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart`

### getAccessibleEditPart

    protected org.eclipse.gef.AccessibleEditPart getAccessibleEditPart()

  Overrides:
    `getAccessibleEditPart` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### handleNotificationEvent

    protected void handleNotificationEvent(org.eclipse.emf.common.notify.Notification event)

  Overrides:
    `handleNotificationEvent` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

  Overrides:
    `createFigure` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.LabelEditPart`

### createFigurePrim

    protected org.eclipse.draw2d.IFigure createFigurePrim()

Copyright 2007 Anyware Technologies. All Rights Reserved.